Apache JMeter

## org.apache.jmeter.threads
Class JMeterVariables

    java.lang.Object
      org.apache.jmeter.threads.JMeterVariables

    public class JMeterVariables

extends Object

Class which defines JMeter variables. These are similar to properties, but they are local to a single thread.

Constructor Summary
`JMeterVariables()`

Method Summary
`Set<Map.Entry<String,Object>>` `entrySet()`
`String` `get(String key)` Returns null values if variable doesn't exist.
`int` `getIteration()`
`Iterator<Map.Entry<String,Object>>` `getIterator()`
`Object` `getObject(String key)`
`String` `getThreadName()`
`void` `incIteration()`
`void` `initialize()`
`void` `put(String key, String value)`
`void` `putAll(JMeterVariables vars)`
`void` `putAll(Map<String,?> vars)`
`void` `putObject(String key, Object value)`
`Object` `remove(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMeterVariables

    public JMeterVariables()

Method Detail

### getThreadName

    public String getThreadName()

### getIteration

    public int getIteration()

### incIteration

    public void incIteration()

### initialize

    public void initialize()

### remove

    public Object remove(String key)

### put

    public void put(String key,
                    String value)

### putObject

    public void putObject(String key,
                          Object value)

### putAll

    public void putAll(Map<String,?> vars)

### putAll

    public void putAll(JMeterVariables vars)

### get

    public String get(String key)

  Returns null values if variable doesn't exist. Users of this must check for null.

### getObject

    public Object getObject(String key)

### getIterator

    public Iterator<Map.Entry<String,Object>> getIterator()

### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.